Subject: Re: [PATCH] tracing: Have all levels of checks prevent recursion

From: Peter Zijlstra <[email-masked]>
Date: Fri, 15 Oct 2021 18:17:02 +0200

On Fri, Oct 15, 2021 at 11:00:35AM -0400, Steven Rostedt wrote:
> From: "Steven Rostedt (VMware)" <[email-masked]>
> 
> While writing an email explaining the "bit = 0" logic for a discussion on

>  	bit = trace_get_context_bit() + start;

While there, you were also going to update that function to match/use
get_recursion_context(). Because your version is still branch hell.